package com.company.jmixtest.entity

import io.jmix.core.DeletePolicy
import io.jmix.core.entity.annotation.JmixGeneratedValue
import io.jmix.core.entity.annotation.OnDeleteInverse
import io.jmix.core.metamodel.annotation.JmixEntity
import java.util.*
import javax.persistence.*
import javax.validation.constraints.NotNull

@JmixEntity
@Table(name = "JT_TEST_ENTITY2")
@Entity(name = "jt_TestEntity2")
open class TestEntity2 {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    var id: UUID? = null

    @Column(name = "NAME")
    var name: String? = null

    @NotNull
    @OnDeleteInverse(DeletePolicy.DENY)
    @OneToOne(fetch = FetchType.LAZY, optional = false)
    @JoinColumn(name = "TEST_ENTITY_ID")
    var testEntity: TestEntity? = null
}