package com.company.jmixtest.entity

import io.jmix.core.entity.annotation.JmixGeneratedValue
import io.jmix.core.metamodel.annotation.DependsOnProperties
import io.jmix.core.metamodel.annotation.InstanceName
import io.jmix.core.metamodel.annotation.JmixEntity
import io.jmix.core.metamodel.annotation.JmixProperty
import java.util.*
import javax.persistence.*

@JmixEntity
@Table(name = "JT_TEST_ENTITY")
@Entity(name = "jt_TestEntity")
open class TestEntity {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    var id: UUID? = null

    @InstanceName
    @Column(name = "STR")
    var str: String? = null

    @OneToOne(fetch = FetchType.LAZY, mappedBy = "testEntity")
    var testEntity2: TestEntity2? = null

    val testEntity2Caption: String?
        @DependsOnProperties(value = ["testEntity2"])
        @JmixProperty
        @Transient
        get() = testEntity2?.name

}